#!/bin/sh
#241230 sfs
export TEXTDOMAIN=sfwbar-ext
#m1="Мониторинг трафика"
#m2="Выберите интерфейс"
m1="$(gettext 'Traffic Monitoring')"
m2="$(gettext 'Select Interface')"

ico=gtk-dialog-question
ini="$HOME/.config/sfwbar/sfwbar.ini"
t="`ifconfig |awk -F: '!/^ / && !/^$/ && !/^lo/ {print $1}'`"
y="`yad --list \
    --Xradiolist \
    --title "$m1" \
    --text "<b>$m1</b>\n$m2" \
    --regex-search --search-column=1 --separator= --fixed \
    --height=240 --width=240 \
    --no-headers --image-on-top --image=$ico --window-icon=$ico --name=$ico \
    --hide-column=3 --print-column=1 --column=name --Xcolumn=°C --Xcolumn=+ \
  $t `" 
  echo $y
[ "$y" ] || exit

if [ "`grep '^if=' "$ini"`" ] ;then
    sed -i 's/^if=.*/if='$y'/' "$ini"  
else echo "if=$y" >> "$ini"
fi

killall -1 sfwbar